Chapter 21. repositorynotification
List, create and manage repository events/notifications.
21.1. testRepoNotification Copy linkLink copied to clipboard!
Queues a test notification for this repository.
21.1.1. POST /api/v1/repository/{repository}/notification/{uuid}/test Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
21.1.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | uuid required | The UUID of the notification | string |
21.1.3. Responses Copy linkLink copied to clipboard!
21.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>/test
21.2. getRepoNotification Copy linkLink copied to clipboard!
Get information for the specified notification.
21.2.1. GET /api/v1/repository/{repository}/notification/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
21.2.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | uuid required | The UUID of the notification | string |
21.2.3. Responses Copy linkLink copied to clipboard!
21.2.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>
21.3. deleteRepoNotification Copy linkLink copied to clipboard!
Deletes the specified notification.
21.3.1. DELETE /api/v1/repository/{repository}/notification/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
21.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | uuid required | The UUID of the notification | string |
21.3.3. Responses Copy linkLink copied to clipboard!
21.3.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification/<uuid>
21.4. resetRepositoryNotificationFailures Copy linkLink copied to clipboard!
Resets repository notification to 0 failures.
21.4.1. POST /api/v1/repository/{repository}/notification/{uuid} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
21.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | uuid required | The UUID of the notification | string |
21.4.3. Responses Copy linkLink copied to clipboard!
21.4.4. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
https://<quay-server.example.com>/api/v1/repository/<repository>/notification/<uuid>
21.5. createRepoNotification Copy linkLink copied to clipboard!
Create Repo Notification.
21.5.1. POST /api/v1/repository/{repository}/notification/ Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
21.5.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
21.5.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Information for creating a notification on a repository
| Name | Description | Schema |
|---|---|---|
| event required | The event on which the notification will respond | string |
| method required | The method of notification (such as email or web callback) | string |
| config required | JSON config information for the specific method of notification | object |
| eventConfig required | JSON config information for the specific event of notification | object |
| title optional | The human-readable title of the notification | string |
21.5.4. Responses Copy linkLink copied to clipboard!
21.5.5. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"event": "<event>",
"method": "<method>",
"config": {
"<config_key>": "<config_value>"
},
"eventConfig": {
"<eventConfig_key>": "<eventConfig_value>"
}
}' \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification/
21.6. listRepoNotifications Copy linkLink copied to clipboard!
List the notifications for the specified repository.
21.6.1. GET /api/v1/repository/{repository}/notification/ Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
21.6.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
21.6.3. Responses Copy linkLink copied to clipboard!
21.6.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET -H "Authorization: Bearer <bearer_token>" -H "Accept: application/json" https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/notification